cmdargs

Data.Generics.Any

Synopsis

- type CtorName = String
- type FieldName = String
- readTupleType :: String -> Maybe Int
- data Any = forall a . Data a => Any a
- type AnyT t = Any
- fromAny :: Typeable a => Any -> a
- cast :: Typeable a => Any -> Maybe a
- toConstr :: Any -> Constr
- typeOf :: Any -> TypeRep
- dataTypeOf :: Any -> DataType
- isAlgType :: Any -> Bool
- typeShell :: Any -> String
- typeShellFull :: Any -> String
- typeName :: Any -> String
- ctor :: Any -> CtorName
- fields :: Any -> [String]
- children :: Any -> [Any]
- compose0 :: Any -> CtorName -> Any
- recompose :: Any -> [Any] -> Any
- ctors :: Any -> [CtorName]
- decompose :: Any -> (CtorName, [Any])
- compose :: Any -> CtorName -> [Any] -> Any
- getField :: FieldName -> Any -> Any
- setField :: (FieldName, Any) -> Any -> Any

# Documentation

type CtorName = String

type FieldName = String

readTupleType :: String -> Maybe Int

data Any

Any value, with a Data dictionary.

Constructors

forall a . Data a => Any a |

Instances

Show Any |

type AnyT t = Any

fromAny :: Typeable a => Any -> a

cast :: Typeable a => Any -> Maybe a

toConstr :: Any -> Constr

typeOf :: Any -> TypeRep

dataTypeOf :: Any -> DataType

isAlgType :: Any -> Bool

typeShell :: Any -> String

typeShellFull :: Any -> String

typeName :: Any -> String

ctor :: Any -> CtorName

fields :: Any -> [String]

children :: Any -> [Any]

compose0 :: Any -> CtorName -> Any

recompose :: Any -> [Any] -> Any

ctors :: Any -> [CtorName]

decompose :: Any -> (CtorName, [Any])

compose :: Any -> CtorName -> [Any] -> Any

getField :: FieldName -> Any -> Any

setField :: (FieldName, Any) -> Any -> Any